Package org.springframework.web.bind

# Class MissingRequestCookieException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.bind.ServletRequestBindingException
org.springframework.web.bind.MissingRequestValueException
org.springframework.web.bind.MissingRequestCookieException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class MissingRequestCookieException extends MissingRequestValueException
`ServletRequestBindingException` subclass that indicates that a request cookie expected in the method parameters of an `@RequestMapping` method is not present.

Since:
  5.1
Author:
  Juergen Hoeller
See Also:
  - `MissingRequestHeaderException`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`MissingRequestCookieException(String cookieName, org.springframework.core.MethodParameter parameter)`
Constructor for MissingRequestCookieException.
`MissingRequestCookieException(String cookieName, org.springframework.core.MethodParameter parameter, boolean missingAfterConversion)`
Constructor for use when a value was present but converted to `null`.

## Method Summary

Modifier and Type
Method
Description
`final String`
`getCookieName()`
Return the expected name of the request cookie.
`String`
`getMessage()`
`final org.springframework.core.MethodParameter`
`getParameter()`
Return the method parameter bound to the request cookie.

### Methods inherited from class org.springframework.web.bind.MissingRequestValueException

`isMissingAfterConversion`

### Methods inherited from class org.springframework.web.bind.ServletRequestBindingException

`getBody, getDetailMessageArguments, getDetailMessageCode, getStatusCode`

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getHeaders, getTitleMessageCode, getTypeMessageCode, updateAndGetBody`

## Constructor Details

### MissingRequestCookieException

public MissingRequestCookieException(String cookieName, org.springframework.core.MethodParameter parameter)
Constructor for MissingRequestCookieException.

Parameters:
  `cookieName` - the name of the missing request cookie
  `parameter` - the method parameter

### MissingRequestCookieException

public MissingRequestCookieException(String cookieName, org.springframework.core.MethodParameter parameter, boolean missingAfterConversion)
Constructor for use when a value was present but converted to `null`.

Parameters:
  `cookieName` - the name of the missing request cookie
  `parameter` - the method parameter
  `missingAfterConversion` - whether the value became null after conversion
Since:
  5.3.6

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getCookieName

public final String getCookieName()
Return the expected name of the request cookie.

### getParameter

public final org.springframework.core.MethodParameter getParameter()
Return the method parameter bound to the request cookie.